View Javadoc

    1   package net.sourceforge.pmd.lang.rule.properties;
    2
    3   /**
    4    *
    5    * @author Brian Remedios
    6    * @param <T>
    7    */
    8   public abstract class AbstractMultiPackagedProperty<T> extends AbstractPackagedProperty<T> {
    9
    10      protected static final char DELIMITER = '|';
    11
    12      /**
    13       * Constructor for AbstractMultiPackagedProperty.
    14       * @param theName String
    15       * @param theDescription String
    16       * @param theDefault T
    17       * @param theLegalPackageNames String[]
    18       * @param theUIOrder float
    19       */
    20      protected AbstractMultiPackagedProperty(String theName,  String theDescription, T theDefault, String[] theLegalPackageNames, float theUIOrder) {
    21          super(theName, theDescription, theDefault, theLegalPackageNames, theUIOrder);
    22      }
    23
    24      /**
    25       * @return boolean
    26       * @see net.sourceforge.pmd.PropertyDescriptor#isMultiValue()
    27       */
    28      @Override
    29      public boolean isMultiValue() {
    30          return true;
    31      }
    32
    33      /**
    34       * @return String
    35       */
    36      protected String defaultAsString() {
    37          return asDelimitedString(defaultValue());
    38      }
    39  }